summaryrefslogtreecommitdiff
path: root/source/xap/mozilla-firefox
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/mozilla-firefox')
-rw-r--r--source/xap/mozilla-firefox/arc4random_buf.glibc-2.36.diff18
-rwxr-xr-xsource/xap/mozilla-firefox/mozilla-firefox.SlackBuild3
2 files changed, 21 insertions, 0 deletions
diff --git a/source/xap/mozilla-firefox/arc4random_buf.glibc-2.36.diff b/source/xap/mozilla-firefox/arc4random_buf.glibc-2.36.diff
new file mode 100644
index 00000000..d4131c0a
--- /dev/null
+++ b/source/xap/mozilla-firefox/arc4random_buf.glibc-2.36.diff
@@ -0,0 +1,18 @@
+--- ./ipc/chromium/src/third_party/libevent/arc4random.c.orig 2022-08-04 14:57:57.000000000 -0500
++++ ./ipc/chromium/src/third_party/libevent/arc4random.c 2022-08-06 14:40:21.569033657 -0500
+@@ -484,6 +484,7 @@
+ }
+ #endif
+
++#if 0
+ ARC4RANDOM_EXPORT void
+ arc4random_buf(void *buf_, size_t n)
+ {
+@@ -497,6 +498,7 @@
+ }
+ ARC4_UNLOCK_();
+ }
++#endif
+
+ #ifndef ARC4RANDOM_NOUNIFORM
+ /*
diff --git a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
index d827fec6..9ce487e2 100755
--- a/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
+++ b/source/xap/mozilla-firefox/mozilla-firefox.SlackBuild
@@ -208,6 +208,9 @@ zcat $CWD/ff.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
# Don't enable LTO for Rust unless the whole build uses it:
zcat $CWD/0027-LTO-Only-enable-LTO-for-Rust-when-complete-build-use.patch.gz | patch -p1 --verbose || exit 1
+# Don't define a function that's included starting in glibc-2.36:
+zcat $CWD/arc4random_buf.glibc-2.36.diff.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested
# https://bugzilla.mozilla.org/show_bug.cgi?id=1256955
if [ ! -z $MOZLOCALIZE ]; then